###############################################################################
# RestrictSubPerms.pl                                                         #
###############################################################################
# Restricted Subject                                                          #
# Allows you to ban certain strings or whole phrases from being used in the   #
# subject of a post.                                                          #
# Version:        0.2beta (YaBB 2.0/2.1)                                      #
# Released:       April 13, 2006                                              #
# =========================================================================== #
# Written by Curtiss Grymala for the YaBB community                           #
###############################################################################
# Restricted Subject Permission Settings                                      #
# =========================================================================== #
# This file contains the subroutines that restrict the post subjects based on #
# the member permissions you set in your Admin Center.                        #
###############################################################################
sub RestrictSub_Perm {
	my ($perm_setting) = $restrictsub_members;

	if($perm_setting == 1) {
		if($iamguest) {
			$error_text = $restrictsub_txt{'1a'};
			&RestrictSub_Sub($error_text);
		}
	}
	elsif($perm_setting == 2) {
		if(!$iamguest) {
			$error_text = $restrictsub_txt{'1b'};
			&RestrictSub_Sub($error_text);
		}
	}
	elsif($perm_setting == 3) {
		$error_text = $restrictsub_txt{'1c'};
		&RestrictSub_Sub($error_text);
	}
	elsif($perm_setting == 4) {
		if(!$iamadmin) {
			$error_text = $restrictsub_txt{'1c'};
			&RestrictSub_Sub($error_text);
		}
	}
	elsif($perm_setting == 5) {
		if(!$iamadmin && !$iamgmod) {
			$error_text = $restrictsub_txt{'1c'};
			&RestrictSub_Sub($error_text);
		}
	}
}

sub RestrictSub_Sub {
	my($error_text) = @_;
	foreach $ban_subject (@restrictsub_strings) {
		$subject_test = $subject;
		$fatalerror_text = qq~$error_text $restrictsub_txt{'2a'} <b>$ban_subject</b> $restrictsub_txt{'2b'}~;
		if($subject_test =~ $ban_subject) { &fatal_error($fatalerror_text); }
	}
	foreach $ban_subject (@restrictsub_names) {
		$subject_test = $subject;
		$fatalerror_text = qq~$error_text $restrictsub_txt{'3'} <b>$ban_subject</b> $restrictsub_txt{'4'}~;
		if($subject_test eq $ban_subject) { &fatal_error($fatalerror_text); }
	}
}

1;